Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/xenial64"
  config.vm.network "private_network", ip: "192.168.5.5"
  config.vm.provider "virtualbox" do |vb|
    vb.gui = true
    vb.memory = "4096"
    vb.cpus = 4
    vb.customize ["modifyvm", :id, "--vram", "64", "--accelerate2dvideo", "on", "--accelerate3d", "on"]
  end

  config.vm.provision "shell", inline: <<-SHELL
    sudo apt-get clean
    sudo apt-get update
    sudo apt-get dist-upgrade
    sudo apt-get install automake build-essential curl cmake firefox git htop unzip vim wget xfce4 zip -y
    sh /vagrant/build.sh
  SHELL

  config.vm.provision :reload
end
